#footer {
  padding: 40px 0 34px 0;
  background: #fff;
}

#footer .right_nav {
  position: fixed;
  right: 0;
  bottom: 10%;
  z-index: 9;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  border-radius: 10px 0 0 10px;
  background: #fff;
  min-width: 76px;
  display: none;
}

#footer .hidden {
  display: none;
}

#footer .right_nav .list {
  padding: 0 10px;
  cursor: pointer;
  position: relative;
}

#footer .right_nav .list:last-child {
  padding: 10px;
  text-align: center;
}

#footer .right_nav .list:last-child:hover {
  color: #fff;
}

#footer .right_nav .list .list_mes {
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%); /* 新增：IE11前缀 */
  transform: translateY(-50%);
  right: 0;
  background: #fff;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  border-radius: 50px;
  padding: 10px 30px;
  color: #fff;
  width: max-content;
  visibility: hidden;
  opacity: 0;
  -webkit-transition: all 0.2s linear;
  -ms-transition: all 0.2s linear; /* 新增：IE11前缀 */
  transition: all 0.2s linear;
  background: linear-gradient(-60deg, #359edc 0%, #5f5bfe 100%), #0054a3;
}

#footer .right_nav .list:hover .list_mes {
  opacity: 1;
  visibility: visible;
  right: calc(100% + 20px);
}

#footer .right_nav .list .list_icon {
  padding: 20px 0;
  display: block;
  text-align: center;
  border-bottom: 1px solid rgba(153, 153, 153, 0.1);
  -webkit-transition: all 0.4s linear;
  -ms-transition: all 0.4s linear; /* 新增：IE11前缀 */
  transition: all 0.4s linear;
  font-size: 14px;
}

#footer .right_nav .list .list_icon img {
  width: 16px;
  -webkit-transition: all 0.4s linear;
  -ms-transition: all 0.4s linear; /* 新增：IE11前缀 */
  transition: all 0.4s linear;
}

#footer .right_nav .list:hover {
  border-radius: 10px 0 0 10px;
  background: linear-gradient(-60deg, #359edc 0%, #5f5bfe 100%), #0054a3;
}

#footer .right_nav .list:hover .list_icon img {
  filter: brightness(0) invert(1);
  -ms-transform: translateY(-5px); /* 新增：IE11前缀 */
  transform: translateY(-5px);
}

#footer .right_nav .list:hover .list_icon p {
  color: #fff;
}

#footer .stock {
  font-weight: 400;
  text-align: left;
  color: #1d1d1f;
  padding-left: 24px;
  margin-left: 24px;
  line-height: 1;
  border-left: 1px solid rgba(51, 51, 51, 0.2);
}

#footer .search {
  width: 401px;
  background: rgba(255, 255, 255, 0);
  border: 1px solid rgba(29, 29, 31, 0.2);
  border-radius: 30px;
  padding: 4px 4px 4px 24px;
  display: -ms-flexbox; /* 新增：IE11前缀 */
  display: flex;
}

#footer .search input {
  border: none;
  -ms-flex: 1; /* 新增：IE11前缀 */
  flex: 1;
  color: #333;
  background: transparent;
}

#footer .search button {
  -ms-flex: 0 0 auto; /* 新增：IE11前缀 */
  flex: 0 0 auto;
  width: 48px;
  height: 48px;
  background: linear-gradient(-60deg, #359edc 0%, #5f5bfe 100%), #0054a3;
  border-radius: 100%;
  border: none;
}

#footer hr {
  width: 100%;
  height: 1px;
  background: rgba(51, 51, 51, 0.1);
}

#footer .hr1 {
  margin: 50px 0 60px 0;
}

#footer .main_l {
  -ms-flex: 0 0 32.6%; /* 新增：IE11前缀 */
  flex: 0 0 32.6%;
  padding-right: 20px;
}

#footer .main_l .list {
  display: -ms-flexbox; /* 新增：IE11前缀 */
  display: flex;
  max-width: 350px;
  margin-bottom: 30px;
}

#footer .main_l .list:last-child {
  margin-bottom: 0;
}

#footer .main_l .list .image {
  -ms-flex: 0 0 16px; /* 新增：IE11前缀 */
  flex: 0 0 16px;
  padding-top: 6px;
}

#footer .main_l .list .image img {
  width: 100%;
}

#footer .main_l .list .info {
  -ms-flex: 1; /* 新增：IE11前缀 */
  flex: 1;
  margin-left: 24px;
}

#footer .main_l .list .info .tit {
  opacity: 0.6;
  font-size: 14px;
  text-align: left;
  color: #1d1d1f;
}

#footer .main_l .list .info .mes {
  margin-top: 8px;
  text-align: left;
  color: #1d1d1f;
  line-height: 1.6;
}

#footer .main_l .list .info .phone {
  line-height: 1.4;
  position: relative;
}

#footer .main_l .list .info .phone span {
  position: absolute;
  top: calc(100% + 10px);
  left: 0;
  z-index: 2;
  font-size: 14px;
  background: #F6F7F9;
  border-radius: 8px;
  padding: 4px 6px;
  display: none;
}

#footer .main_l .list .info .phone:hover span {
  display: block;
}

#footer .main_l .list a {
  -webkit-transition: all 0.2s linear;
  -ms-transition: all 0.2s linear; /* 新增：IE11前缀 */
  transition: all 0.2s linear;
}

#footer .main_l .list a:hover {
  text-decoration: underline;
  color: var(--onColor);
}

#footer .hr2 {
  background: rgba(51, 51, 51, 0.1);
  width: 1px;
  height: auto;
  max-height: 360px;
  margin: 0;
}

#footer .main_r {
  -ms-flex: 1; /* 新增：IE11前缀 */
  flex: 1;
  display: -ms-flexbox; /* 新增：IE11前缀 */
  display: flex;
  -ms-flex-pack: end; /* 新增：IE11前缀 */
  justify-content: flex-end;
}

#footer .main_r .list {
  margin-left: 7%;
}

#footer .main_r .tit {
  font-weight: 600;
  text-align: left;
  color: #1d1d1f;
}

#footer .main_r svg {
  display: none;
  -ms-transform: rotate(-90deg); /* 新增：IE11前缀 */
  transform: rotate(-90deg);
  -webkit-transition: all 0.4s linear;
  -ms-transition: all 0.4s linear; /* 新增：IE11前缀 */
  transition: all 0.4s linear;
}

#footer .main_r .list.on svg {
  -ms-transform: rotate(0); /* 新增：IE11前缀 */
  transform: rotate(0);
}

#footer .main_r ul {
  margin-top: 30px;
  opacity: 0.6;
  font-weight: 400;
  text-align: left;
  color: #1d1d1f;
}

#footer .main_r ul li {
  line-height: 1.5;
  margin-bottom: 10px;
}

#footer .main_r ul li:last-child {
  margin-bottom: 0;
}

#footer .main_r a {
  -webkit-transition: all 0.2s linear;
  -ms-transition: all 0.2s linear; /* 新增：IE11前缀 */
  transition: all 0.2s linear;
}

#footer .main_r a:hover {
  color: var(--onColor);
  text-decoration: underline;
}

#footer .hr3 {
  width: 100%;
  height: 1px;
  margin: 46px 0 30px 0;
}

#footer .map a {
  opacity: 0.6;
  font-size: 14px;
  font-weight: 400;
  color: #1d1d1f;
  -webkit-transition: all 0.2s linear;
  -ms-transition: all 0.2s linear; /* 新增：IE11前缀 */
  transition: all 0.2s linear;
}

#footer .map p {
  opacity: 0.6;
  font-size: 14px;
  font-weight: 400;
  color: #1d1d1f;
}

#footer .map a:hover {
  color: var(--onColor);
  text-decoration: underline;
}

#footer .map .hr4 {
  width: 1px;
  height: auto;
  margin: 0 20px;
}

#footer .map .hr4:last-child {
  display: none;
}

#footer .code .image {
  width: 100px;
}

#footer .code .image img {
  width: 90%;
}

#footer .code p {
  opacity: 0.6;
  font-size: 14px;
  font-weight: 400;
  text-align: center;
  color: #1d1d1f;
  margin-top: 10px;
}

/* ===== 媒体查询 ===== */
@media only screen and (max-width: 1600px) {
  #footer .main_r .list {
    margin-left: 4%;
  }
  #footer .main_l .list {
    margin-bottom: 20px;
  }
}

@media only screen and (max-width: 1366px) {
  #footer .map .code {
    margin: auto;
    margin-top: 20px;
  }
  #footer .map .code > div {
    margin: 0 10px;
  }
  #footer .right_nav .list {
    font-size: 12px;
  }
  #footer .right_nav .list .list_icon {
    font-size: 12px;
    padding: 10px 0;
  }
  #footer .right_nav {
    width: auto;
    min-width: auto;
  }
}

@media only screen and (max-width: 768px) {
  #footer .right_nav {
    display: none;
  }
  #footer .code .image {
    width: 60px;
  }
  #footer {
    padding: 60px 0;
  }
  #footer .main_l {
    -ms-flex: 0 0 100%; /* 新增：IE11前缀 */
    flex: 0 0 100%;
    -ms-flex-order: 2; /* 新增：IE11前缀 */
    order: 2;
  }
  #footer .main_r {
    -ms-flex: 0 0 100%; /* 新增：IE11前缀 */
    flex: 0 0 100%;
    -ms-flex-pack: start; /* 新增：IE11前缀 */
    justify-content: flex-start;
    -ms-flex-wrap: wrap; /* 新增：IE11前缀 */
    flex-wrap: wrap;
  }
  #footer .main_r .list {
    margin-left: 0;
    -ms-flex: 0 0 100%; /* 新增：IE11前缀 */
    flex: 0 0 100%;
    padding: 5px 0;
  }
  #footer .hr1 {
    margin: 20px 0;
  }
  #footer .hr2 {
    -ms-flex-order: 1; /* 新增：IE11前缀 */
    order: 1;
    width: 100%;
    height: 1px;
    margin: 20px 0;
  }
  #footer .main_l .list .info {
    margin-left: 10px;
  }
  #footer .main_r svg {
    display: inline-block;
  }
  #footer .hr3 {
    margin: 20px 0;
  }
  #footer .main_l .list {
    margin-bottom: 10px;
  }
  #footer .main_r ul {
    display: none;
  }
  #footer .search button {
    width: 30px;
    height: 30px;
  }
  #footer .search {
    width: 240px;
    margin: 20px auto 0 auto;
  }
  #footer .logo img {
    max-width: 100px;
  }
  #footer .w1440 {
    text-align: center;
  }
  #footer .map .hr4 {
    margin: 0 10px;
  }
  #footer .map .dis_wrap {
    -ms-flex-pack: center; /* 新增：IE11前缀 */
    justify-content: center;
  }
  #footer .footer_header {
    -ms-flex-pack: center; /* 新增：IE11前缀 */
    justify-content: center;
  }
  #footer .code {
    margin: 20px auto 0 auto;
  }
  #footer .main_r ul {
    margin-top: 10px;
  }
}